libzypp 17.37.10

ResolverNamespace.h File Reference
`#include <iosfwd>`
`#include <cstdint>`
`#include <zypp/base/Flags.h>`
`#include <zypp/IdString.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Enumerations
enum class | zypp::ResolverNamespace : std::uint8_t { zypp::language = 1<<0 , zypp::modalias = 1<<1 , zypp::filesystem = 1<<2 }
| The resolver's dependency namespaces. More...

## Variables
static constexpr const ResolverNamespaces | NoResolverNamespaces = ResolverNamespace()
| All bits set.
static constexpr const ResolverNamespaces | AllResolverNamespaces = ResolverNamespace(0xff)
| All bits set.

## Variable Documentation

## ◆ NoResolverNamespaces

const ResolverNamespaces NoResolverNamespaces = ResolverNamespace()
| static constexpr

All bits set.

Definition at line 35 of file ResolverNamespace.h.

## ◆ AllResolverNamespaces

const ResolverNamespaces AllResolverNamespaces = ResolverNamespace(0xff)
| static constexpr

All bits set.

Definition at line 38 of file ResolverNamespace.h.